POST api/Worklocation/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfWorkLocationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of WorkLocationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"isNew": true,
"WorkLocationCode": "sample string 2",
"CompanyCode": "sample string 3",
"CorporationCode": "sample string 4",
"BillAccount": "sample string 5",
"PoolId": "sample string 6",
"PoolName": "sample string 7",
"RegionCode": "sample string 8",
"WorkLocationName": "sample string 9",
"WorkLocationShortName": "sample string 10",
"SameAsCompanyAddress": true,
"Address": "Sample String 12",
"Suite": "Sample String 13",
"City": "sample string 14",
"State": "sample string 15",
"Country": "sample string 16",
"Zip": "sample string 17",
"Contactor": "sample string 18",
"Phone": "sample string 19",
"Fax": "sample string 20",
"Email": "sample string 21",
"RiskLevel": 1,
"Notes": "sample string 22",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:57.6371651-07:00",
"CompanyName": "sample string 25",
"Longitude": 1.1,
"Latitude": 1.1,
"DANoOfEmployee": 26,
"Regulation": "sample string 27",
"BillAccountAddress": "sample string 28",
"ClientCode": "sample string 29",
"HasEmployee": true,
"ClientCode_2": "sample string 31",
"BusinessUnitName": "sample string 32",
"DivisionName": "sample string 33",
"SubDivisionName": "sample string 34",
"OccDocStatus": 1
},
{
"isNew": true,
"WorkLocationCode": "sample string 2",
"CompanyCode": "sample string 3",
"CorporationCode": "sample string 4",
"BillAccount": "sample string 5",
"PoolId": "sample string 6",
"PoolName": "sample string 7",
"RegionCode": "sample string 8",
"WorkLocationName": "sample string 9",
"WorkLocationShortName": "sample string 10",
"SameAsCompanyAddress": true,
"Address": "Sample String 12",
"Suite": "Sample String 13",
"City": "sample string 14",
"State": "sample string 15",
"Country": "sample string 16",
"Zip": "sample string 17",
"Contactor": "sample string 18",
"Phone": "sample string 19",
"Fax": "sample string 20",
"Email": "sample string 21",
"RiskLevel": 1,
"Notes": "sample string 22",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:25:57.6371651-07:00",
"CompanyName": "sample string 25",
"Longitude": 1.1,
"Latitude": 1.1,
"DANoOfEmployee": 26,
"Regulation": "sample string 27",
"BillAccountAddress": "sample string 28",
"ClientCode": "sample string 29",
"HasEmployee": true,
"ClientCode_2": "sample string 31",
"BusinessUnitName": "sample string 32",
"DivisionName": "sample string 33",
"SubDivisionName": "sample string 34",
"OccDocStatus": 1
}
],
"totalCount": 3
}